Subject: Re: bug#19168: undefined references to gnutls_pk_bits_to_sec_param etc

From: Ted Zlatanov <[email-masked]>
Date: Tue, 25 Nov 2014 10:11:38 -0500

On Tue, 25 Nov 2014 15:48:31 +0100 Lars Magne Ingebrigtsen <[email-masked]> wrote: 

LMI> Ted Zlatanov <[email-masked]> writes:
>> I wrote a proposal on emacs-devel to require 3.x.  IMO that's the right
>> path here.

LMI> Debian Stale isn't on 3.x yet, so I think it's too soon.

Bah.

>> For instance, `gnutls_x509_crt_get_key_id' was available since 0.9.x but
>> the issuer and subject unique IDs were not until 2.11.  It's going to be
>> really annoying to support all those combinations of 2.x and 3.x.  See
>> http://gitorious.org/gnutls/gnutls/blobs/master/NEWS for the API details.

LMI> Well, we could just #ifdef those calls away on older versions.  The
LMI> certificate display won't be as complete on older systems, but
LMI> networking will still work.

Hrm.

Ted "pffft"